package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "AbnormalDetailBO", description = "异常事件详情")
public class AbnormalDetailBO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "小时分钟 HH:mm")
    private String hourMinute;

    @ApiModelProperty(value = "月日，格式 7/9")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "M/d", timezone = "GMT+8")
    private Date problemDate;

    @ApiModelProperty(value = "状态 0正常 1 失衡 2 拥堵 3 溢出 4 死锁")
    private Integer status ;
}
