package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "CrossIdAndTimeSpanBO", description = "路口时段入参")
public class CrossIdAndTimeSpanBO {
    @ApiModelProperty(value = "路口编号")
    private String crossId;

    @ApiModelProperty(value = "时段开始时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "时段结束时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
}
