package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "CurveChartBO", description = "方案详情-曲线图")
public class CurveChartBO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "时间粒度（分钟）", required = true)
    private Integer minutes;

    @ApiModelProperty(value = "年月日，格式 2023/7/9")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy/M/d", timezone = "GMT+8")
    private Date problemDate;

    @ApiModelProperty(value = "开始时间 HH:mm")
    private String startTime;

    @ApiModelProperty(value = "结束时间 HH:mm")
    private String endTime;

    @ApiModelProperty(value = "指标编号 1不停车通过率，2一/二/三次及以上停车通过率...")
    private String MetricCode;

    private List<DirTurn> dirTurnList;

    @NoArgsConstructor
    @Data
    public static class DirTurn {
        @ApiModelProperty(value = "进口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
        private String dir;
        @ApiModelProperty(value = "转向：u掉头；l左转；s直行；r右转")
        private String turn;
    }
}
