package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "MainlineCrossEvaluateBO", description = "干线路口评价")
public class MainlineCrossEvaluateBO {
    @ApiModelProperty(value = "方案名称")
    private String greenwaveName;

    @ApiModelProperty(value = "指标名称")
    private String metricName;

    @ApiModelProperty(value = "路口ID列表")
    private List<String> crossIdList;

    @ApiModelProperty(value = "分析时段开始时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "分析时段结束时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "干线方案时段开始时间 格式 HH:mm")
    private String startHourMinute;

    @ApiModelProperty(value = "干线方案时段结束时间 格式 HH:mm")
    private String endHourMinute;
}
