package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "MetricsTurnAndLaneBO", description = "转向级和车道级指标查询输入参数")
public class MetricsTurnAndLaneBO {
    @ApiModelProperty(value = "0正常 1失衡 2拥堵 3溢出")
    private Integer status;

    @ApiModelProperty(value = "路口ID", required = true)
    private String crossId;

    @ApiModelProperty(value = "进口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北", required = true)
    private Integer dir;

    @ApiModelProperty(value = "时间 HH:mm", required = true)
    private String hourMinute;

    @ApiModelProperty(value = "日期 yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date day;
}
