package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "ProblemSchemeBO", description = "问题方案列表接收参数")
public class ProblemSchemeBO {
    @ApiModelProperty(value = "路口ID", required = true)
    private String crossId;

    @ApiModelProperty(value = "开始日期 yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startDate;

    @ApiModelProperty(value = "结束日期 yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDate;

    @ApiModelProperty(value = "开始时间 HH:mm")
    String startTime;

    @ApiModelProperty(value = "结束时间 HH:mm")
    String endTime;
}
