package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "SchemeDetailOverallBO", description = "方案详情-总体评价入参")
public class SchemeDetailOverallBO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "年月日，格式 2023/7/9")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy/M/d", timezone = "GMT+8")
    private Date problemDate;

    @ApiModelProperty(value = "开始时间 HH:mm")
    String startTime;

    @ApiModelProperty(value = "结束时间 HH:mm")
    String endTime;

    @ApiModelProperty(value = "策略编号 100030均衡调控 100152效率提升 100010安全保障")
    String strategyCode;
}
