package net.wanji.opt.common.exception;

import net.wanji.common.framework.exceptionhandler.GlobalExceptionHandler;
import net.wanji.common.framework.rest.JsonViewObject;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * 全局异常处理
 *
 * @author Kent HAN
 * @date 2023/1/5 13:18
 */
@RestControllerAdvice
public class OptExceptionHandler extends GlobalExceptionHandler {
    /**
     * 字段值重复异常
     */
    @ExceptionHandler(value = UniqueException.class)
    public JsonViewObject uniqueExceptionHandler(UniqueException e) {
        return JsonViewObject.newInstance().fail(e);
    }

    @ExceptionHandler(value = OptServiceException.class)
    public JsonViewObject OptServiceExceptionHandler(OptServiceException e) {
        return JsonViewObject.newInstance().fail(e.getMessage(), "optService服务调用异常");
    }
}