package net.wanji.opt.dao.mapper;

import net.wanji.opt.po.base.CrossSchemeOptLogPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/01/31 18:32
 */
@Repository
public interface CrossSchemeOptLogMapper {

    List<CrossSchemeOptLogPO> selectByCrossId(String crossId);

    int insertOne(CrossSchemeOptLogPO entity);

    int insertBatch(@Param("list") List<CrossSchemeOptLogPO> list);

    List<CrossSchemeOptLogPO> selectMaxByCrossId(String crossId);

    /**
     * 查询历史表中两个小时内最早得优化记录
     *
     * @param crossId
     * @param optReason
     * @param optStartTime
     * @return
     */
    CrossSchemeOptLogPO selectOptStartEntity(@Param("crossId") String crossId, @Param("optReason") String optReason, @Param("optStartTime") long optStartTime);

    List<CrossSchemeOptLogPO> selectMaxByCrossIdAndSchemeId(String crossId, Integer schemeId);
}
