package net.wanji.opt.dao.mapper.strategy;

import net.wanji.opt.dto.strategy.QueryStrategyDTO;
import net.wanji.opt.po.strategy.StrategyPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:33
 */
@Repository
public interface StrategyMapper {
    void insertOne(StrategyPO strategyPO);

    void deleteById(Integer id);

    void updateOne(StrategyPO strategyPO);

    void deleteByIds(List<Integer> ids);

    List<StrategyPO> selectByStrategyNameAndTarget(QueryStrategyDTO queryStrategyDTO);

    StrategyPO selectById(Integer strategyId);

    List<String> selectAllNames();

    StrategyPO selectByName(String strategyName);

    List<StrategyPO> selectByGreenwaveId(Integer greenwaveId);

    void insertGreenwave(Integer greenwaveId, Integer strategyId);

    List<String> selectGreenwaveAllNames();

    List<StrategyPO> selectAll();
}
