package net.wanji.opt.po.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.databus.dto.CrossDirInfoDTO;
import net.wanji.databus.dto.CrossTurnInfoDTO;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/10 19:02
 */
@Data
@ApiModel(value = "CrossDataRealtimeDirTurnPO", description = "路口实时数据")
public class CrossDataRealtimeDirTurnPO {
    /**
     * 路口编号
     */
    @ApiModelProperty(value = "路口编号", notes = "")
    private String crossId;
    /**
     * 路口状态：0正常；1失衡；2拥堵；3溢出；4死锁
     */
    @ApiModelProperty(value = "路口状态：0正常；1失衡；2拥堵；3溢出；4死锁", notes = "")
    private Integer status;
    /**
     * 拥堵类型：1常规；2异常
     */
    @ApiModelProperty(value = "拥堵类型：1常规；2异常", notes = "")
    private Integer type;
    /**
     * 交通指数（1~10）
     */
    @ApiModelProperty(value = "交通指数（1~10）", notes = "")
    private Double trafficIndex;
    /**
     * 开始时间：yyyy-MM-dd HH;mm:ss
     */
    @ApiModelProperty(value = "开始时间：yyyy-MM-dd HH:mm:ss", notes = "")
    private Date startTime;
    @ApiModelProperty(value = "持续时间（单位：分钟）", notes = "")
    private Integer duration;
    /**
     * 是否失衡：0否；1是
     */
    @ApiModelProperty(value = "是否失衡：0否；1是", notes = "")
    private Integer isUnbalance;
    /**
     * 是否溢出：0否；1是
     */
    @ApiModelProperty(value = "是否溢出：0否；1是", notes = "")
    private Integer isSpillover;
    /**
     * 是否拥堵：0否；1是
     */
    @ApiModelProperty(value = "是否拥堵：0否；1是", notes = "")
    private Integer isCongestion;
    /**
     * 失衡指数
     */
    @ApiModelProperty(value = "失衡指数", notes = "")
    private Double unbalanceIndex;
    /**
     * 溢出指数
     */
    @ApiModelProperty(value = "溢出指数", notes = "")
    private Double spilloverIndex;
    /**
     * 拥堵指数
     */
    @ApiModelProperty(value = "拥堵指数", notes = "")
    private Double congestionIndex;
    /**
     * 路口失衡方向：1，2，3...
     */
    @ApiModelProperty(value = "路口失衡方向：1，2，3...", notes = "")
    private String unbalanceDirs;
    /**
     * 路口溢出方向：1，2，3...
     */
    @ApiModelProperty(value = "路口溢出方向：1，2，3...", notes = "")
    private String spilloverDirs;
    /**
     * 路口拥堵方向：1，2，3...
     */
    @ApiModelProperty(value = "路口拥堵方向：1，2，3...", notes = "")
    private String congestionDirs;
    /**
     * 交通流量（辆）
     */
    @ApiModelProperty(value = "交通流量（辆）", notes = "")
    private Integer flow;
    /**
     * 交通流率/h
     */
    @ApiModelProperty(value = "交通流率/h", notes = "")
    private Double flowRate;
    /**
     * 平均速度（km/h）
     */
    @ApiModelProperty(value = "平均速度（km/h）", notes = "")
    private Double speed;
    /**
     * 最大排队（米）
     */
    @ApiModelProperty(value = "最大排队（米）", notes = "")
    private Double queueLength;
    /**
     * 停车次数（次）
     */
    @ApiModelProperty(value = "停车次数（次）", notes = "")
    private Double stopTimes;
    /**
     * 延误时间（秒）
     */
    @ApiModelProperty(value = "延误时间（秒）", notes = "")
    private Integer delayTime;
    /**
     * 饱和度
     */
    @ApiModelProperty(value = "饱和度", notes = "")
    private Double sturation;
    /**
     * 采集时间（10位时间戳）
     */
    @ApiModelProperty(value = "采集时间（10位时间戳）", notes = "")
    private Integer batchTime;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", notes = "")
    private Date gmtCreate;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间", notes = "")
    private Date gmtModified;

    @ApiModelProperty(name = "路口方向列表",notes = "")
    List<CrossDirInfoDTO> dirList;

    @ApiModelProperty(name = "路口转向列表",notes = "")
    List<CrossTurnInfoDTO> turnList;
}
