package net.wanji.opt.po.trend;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_analysis_rid_turn_indicators")
@ApiModel(value = "AnalysisRidTurnIndicators", description = "通过航向角计算方向转向流量排队数据")
public class AnalysisRidTurnIndicators implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键", hidden = true)
    private Integer oid;

    @ApiModelProperty(value = "路口id")
    private String crossId;

    @ApiModelProperty(name = "fRid", value = "进口rid")
    @JsonProperty("fRid")
    private String fRid;

    @ApiModelProperty(name = "fRidDir", value = "进口道方向 1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    @JsonProperty("fRidDir")
    private Integer fRidDir;

    @ApiModelProperty(value = "出口rid", hidden = true)
    @JsonProperty("tRid")
    private String tRid;

    @ApiModelProperty(value = "转向类型 根据进入、出口路段转向计算 1 左转 2 直行3右转 4 掉头")
    private Integer turnDirNo;

    @ApiModelProperty(value = "交通流量")
    private Integer flow;

    @ApiModelProperty(value = "平均速度")
    private BigDecimal speed;

    @ApiModelProperty(value = "排队长度")
    private Integer queueLength;

    @ApiModelProperty(value = "绿灯有效利用率")
    private BigDecimal greenUsageRate;

    @ApiModelProperty(value = "平均停车次数")
    private BigDecimal stopNum;

    @ApiModelProperty(value = "一次停车率")
    @JsonFormat()
    private BigDecimal onceStopRate;

    @ApiModelProperty(value = "二次停车率")
    private BigDecimal secondStopRate;

    @ApiModelProperty(value = "三次停车率")
    private BigDecimal threeStopRate;

    @ApiModelProperty(value = "不停车通过率")
    private BigDecimal noStopRate;

    @ApiModelProperty(value = "交通状态")
    private String trafficState;

    @ApiModelProperty(value = "分析粒度【5m:五分钟 10m:10分钟 30m:30分钟 1h:一小时】", hidden = true)
    private String granularity;

    @JSONField(format = "yyyy-MM-dd HH:mm:ss.SSS")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss.SSS", timezone = "GMT+8")
    private Date windowStartTime;
    @JSONField(format = "yyyy-MM-dd HH:mm:ss.SSS")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss.SSS", timezone = "GMT+8")
    private Date windowEndTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss.SSS", timezone = "GMT+8")
    private Date ruksj;
}