package net.wanji.opt.po.trend;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/05/17 9:45
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_event_info")
@ApiModel(value = "HoloEventInfoPO", description = "交通事件信息")
public class HoloEventInfoPO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID", hidden = true)
    @JSONField(serialize = false)
    private Long oid;

    @ApiModelProperty(value = "车牌号")
    private String plateNo;

    @ApiModelProperty(value = "参与者类别 1：机动车 2：非机动车 3：行人")
    private String objectType;

    @ApiModelProperty(value = "可信度")
    private Integer confidence;

    @ApiModelProperty(value = "检测时间", notes = "格式：yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date detectTime;

    @ApiModelProperty(value = "事件等级：1扣分 2 罚款 3警告 0 未知")
    private Integer grade;

    @ApiModelProperty(value = "事件地点描述")
    private String placeDesc;

    @ApiModelProperty(value = "发生地点经度")
    private BigDecimal lng;

    @ApiModelProperty(value = "发生地点纬度")
    private BigDecimal lat;

    @ApiModelProperty(value = "事件一级类别 1：非机动事件 2：行人事件 3：机动车事件")
    private String category;

    @ApiModelProperty(value = "二级类别")
    @JsonProperty("eventType")
    //@JSONField(name = "eventType")
    private String type;

    @ApiModelProperty(value = "事件发生时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "事件结束时间")
    //@JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "事件持续时长，单位分钟")
    private Integer duration;

    @ApiModelProperty(value = "事件来源", notes = "1-系统检测；2-接处警；3-互联网；4-交管部门；5-济南城市大脑；")
    private String source;

    @ApiModelProperty(value = "车道ID")
    private String laneId;
    @ApiModelProperty(value = "路段ID")
    private String rid;
    @ApiModelProperty(value = "路口ID")
    private String crossId;
    @ApiModelProperty(value = "渠化ID")
    private String segmentId;
    @ApiModelProperty(value = "关联的事件摄像头信息ID")
    private String cameraOid;
    @ApiModelProperty(value = "序列号")
    private String eventSerialNumber;
    @ApiModelProperty(value = "事件状态")
    private String dataStatus;
    private String globalId;
    private Integer stationId;
    private String eventId;

    @ApiModelProperty(value = "入库时间", hidden = true)
    @JSONField(serialize = false)
    private Date ruksj;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "拓展字段")
    private String extend;
}