package net.wanji.opt.service;

import net.wanji.databus.bo.CrossIdAndSchemeIdBO;
import net.wanji.databus.bo.CrossIdBO;
import net.wanji.opt.dto.CrossIdAndDirDTO;
import net.wanji.opt.dto.CrossIdAndSchemeIdDTO;
import net.wanji.opt.dto.SaveLaneInfoDTO;
import net.wanji.opt.dto.SendManualDTO;
import net.wanji.opt.dto.strategy.AddOrUpdateSceneDTO;
import net.wanji.opt.vo.CrossIdAndLocationVO;
import net.wanji.opt.vo.OptEffectVO;
import net.wanji.opt.vo.SchemeOptVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/3/2 10:09
 */
public interface DiagnoService {
    AddOrUpdateSceneDTO queryCrossScene(CrossIdBO crossIdBO);

    List<CrossIdAndLocationVO> queryNeighborCross(CrossIdBO crossIdBO);

    SchemeOptVO querySchemeOpt(CrossIdAndSchemeIdBO bo);

    List<SchemeOptVO.PhaseOptTime> queryOptTime(CrossIdAndSchemeIdDTO crossIdAndSchemeIdDTO);

    void sendManual(SendManualDTO sendManualDTO) throws Exception;

    void restoreSend(CrossIdBO crossIdBO) throws Exception;

    OptEffectVO optEffect(CrossIdAndDirDTO crossIdAndDirDTO);

    SaveLaneInfoDTO listLaneInfo(CrossIdBO crossIdBO);
}
