package net.wanji.opt.service.impl;

import lombok.extern.slf4j.Slf4j;
import net.wanji.common.utils.tool.BeanListUtils;
import net.wanji.databus.dao.entity.CrossSectionPO;
import net.wanji.databus.dao.mapper.BaseCrossSectionMapper;
import net.wanji.opt.dto.CrossSectionDTO;
import net.wanji.opt.service.CrossSectionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author hfx
 * @date 2023/1/17 17:48
 * @desc CrossSectionServiceImpl
 */
@Service
@Slf4j
public class CrossSectionServiceImpl implements CrossSectionService {

    @Resource
    BaseCrossSectionMapper baseCrossSectionMapper;

    @Override
    public List<CrossSectionDTO> listCrossSectionInfo(String crossId, String planId) {

        // 获取时段信息
        List<CrossSectionPO> sectionPOList = baseCrossSectionMapper.listCrossSectionPO(new CrossSectionPO());
        return BeanListUtils.populateList(sectionPOList, new ArrayList<>(), CrossSectionDTO.class);
    }
}
