package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "EvaluateCrossDetailVO", description = "信号评价路口详情")
public class EvaluateCrossDetailVO {
    @ApiModelProperty(value = "路口名称")
    private String crossName;
    @ApiModelProperty(value = "服务水平")
    String serviceLevel;
    @ApiModelProperty(value = "路口流量")
    private Integer flow ;

    @ApiModelProperty(value = "最大排队长度")
    private Integer length;
    @ApiModelProperty(value = "路口平均延误")
    private Integer delayTime;
    @ApiModelProperty(value = "路口平均速度")
    private Integer speed;

    @ApiModelProperty(value = "轨迹开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date windowStartTime;
    @ApiModelProperty(value = "轨迹结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date windowEndTime;
}
