package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "EventAlarmVO", description = "查询事件报警返回值")
public class EventAlarmVO {
    @ApiModelProperty(value = "事件描述")
    String eventDesc;

    @ApiModelProperty(value = "事件类型：1事故；2拥堵；3管制；4施工")
    String type;

    @ApiModelProperty(value = "发生时间")
    String startTime;

    @ApiModelProperty(value = "时长（单位：分钟）")
    Integer duration;

    @ApiModelProperty(value = "时间范围")
    String timeSpan;

    @ApiModelProperty(value = "事件来源：事件来源：1接处警；2交管部门；3互联网")
    String source;

    @ApiModelProperty(value = "事件坐标：经度，纬度；经度，纬度...")
    String coordinate;
}
