package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/05/07 14:17
 */
@NoArgsConstructor
@Data
@ApiModel(value = "路口转向数据实体", description = "路口转向数据实体")
public class HotspotCrossTurnVO {
    private String crossId;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timeStamp;
    private String hourMinute;
    private Integer dir;
    private List<HotspotCrossTurnVO.TurnDetail> turnList;

    @Data
    public static class TurnDetail {
        private String turn;
        private Double queueLength;
        private Integer flow;
    }
}
