package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/05/06 10:58
 */
@NoArgsConstructor
@Data
@ApiModel(value = "重点路口监测实体", description = "重点路口监测实体")
public class HotspotCrossVO {
    private String crossId;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timeStamp;
    private String hourMinute;
    private List<DirDetail> detailList;
    @Data
    public static class DirDetail {
        private Integer dir;
        private Integer inOutType;
        private Double queueLength;
        private Integer flow;
    }
}
