package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "MainlineRunningAnalyseVO", description = "干线运行分析")
public class MainlineRunningAnalyseVO {
    @ApiModelProperty(value = "交通状态：1畅通；2溢出；3拥堵")
    private Integer status;

    @ApiModelProperty(value = "时段")
    private String timeSpan;

    @ApiModelProperty(value = "时长（秒）")
    private Integer duration;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    public MainlineRunningAnalyseVO(Integer status, Date startTime, Date endTime) {
        this.status = status;
        this.startTime = startTime;
        this.endTime = endTime;
    }
}
