package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "MainlineSchemeEvaluateVO", description = "干线方案评价")
public class MainlineSchemeEvaluateVO {
    @ApiModelProperty(value = "时段")
    private String timeSection;

    @ApiModelProperty(value = "控制策略")
    private String strategyName;

    @ApiModelProperty(value = "路口线路图")
    private List<GreenwaveDetailVO.GreenwaveCross> greenwaveCrossList;

    @ApiModelProperty(value = "曲线图")
    private List<CurveElement> curveElementList;

    @ApiModelProperty(value = "评价")
    private List<String> evaluateList;

    @NoArgsConstructor
    @Data
    public static class CurveElement {
        @ApiModelProperty(value = "时间")
        private String metricTime;

        @ApiModelProperty(value = "数值")
        private Double value;
    }

}
