package net.wanji.opt.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/06/28 17:03
 */
@Data
@NoArgsConstructor
@ApiModel(value = "OverflowEvent", description = "溢出事件实体")
public class OverflowEvent {
    @ApiModelProperty(value = "时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ExcelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty(value = "时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ExcelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty(value = "持续时长")
    @ExcelProperty("持续时长")
    private Integer duration;

    @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    @ExcelIgnore
    private Integer dir;
    @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    @ExcelProperty("位置")
    private String dirName;

    @ApiModelProperty(value = "溢出区编号")
    @ExcelProperty("溢出区编号")
    private String overflowId;

    @ApiModelProperty(value = "溢出区车辆数")
    @ExcelProperty("溢出区车辆数")
    private int overflowNums;

    @ApiModelProperty(value = "空间长度占比")
    @ExcelProperty("空间占有率%")
    private double vehicleLengthRatio;

    @ApiModelProperty(value = "平均速度")
    @ExcelProperty("平均速度")
    private double speed;

}
