package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "RunningEvaluateSchemeProblemsVO", description = "查询方案问题返回值")
public class RunningEvaluateSchemeProblemsVO {
    @ApiModelProperty(value = "时间")
    private String time;

    @ApiModelProperty(value = "次数")
    private Integer counts;

    @ApiModelProperty(value = "问题方案")
    private List<DateAndScheme> dateAndSchemeList;

    @Data
    @NoArgsConstructor
    public static class DateAndScheme {
        @ApiModelProperty(value = "日期")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "M/d", timezone = "GMT+8")
        private Date problemDate;

        @ApiModelProperty(value = "方案名称")
        private Set<String> schemeNameSet;
    }
}
