package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "RunningEvaluateScopeTreeVO", description = "详细指标查询-范围下拉列表")
public class RunningEvaluateScopeTreeVO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;
    @ApiModelProperty(value = "方向列表")
    private List<DirVO> child;

    @NoArgsConstructor
    @Data
    public static class DirVO {
        @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
        private Integer dir;
        @ApiModelProperty(value = "转向列表")
        private List<TurnVO> child;
    }

    @NoArgsConstructor
    @Data
    public static class TurnVO {
        @ApiModelProperty(value = "转向：u掉头；l左转；s直行；r右转")
        private String turn;
        @ApiModelProperty(value = "车道列表")
        private List<LaneVO> child;
    }

    @NoArgsConstructor
    @Data
    public static class LaneVO {
        @ApiModelProperty(name = "车道序号，从左车道开始编号11、12、13...")
        private Integer laneSort;
    }
}
