package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "SceneEvaluateAbnormalDetailVO", description = "异常事件详情")
public class SceneEvaluateAbnormalDetailVO {
    @ApiModelProperty(value = "事件类型",notes = "0正常 1 失衡  2 拥堵 3 溢出 4 死锁")
    private Integer status ;

    @ApiModelProperty(name = "开始时间：yyyy-MM-dd HH:mm")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date startTime ;

    // 只有拥堵显示
    @ApiModelProperty(value = "等级",notes = "0畅通 1轻度 2中度 3严重")
    private Integer level ;

    @ApiModelProperty(name = "持续时长（单位：分钟）")
    private Integer duration ;

    @ApiModelProperty(value = "方向列表：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private List<Integer> dirs;

    @ApiModelProperty(value = "配时方案列表")
    private List<String> patternNames;

    @ApiModelProperty(value = "路口服务水平")
    String serviceLevel;

    @ApiModelProperty(value = "路口流量")
    private Integer flow;

    @ApiModelProperty(value = "指标数据")
    List<SchemeEvaluateSchemeDetailOverallVO.OverallMetrics> overallMetricsList;

    @ApiModelProperty(value = "时间轴")
    List<String> timeline;

    @NoArgsConstructor
    @Data
    public static class OverallMetrics {
        @ApiModelProperty(value = "指标编号")
        String metricCode;

        @ApiModelProperty(value = "指标名称")
        String metricName;

        @ApiModelProperty(value = "指标数值")
        Integer metricValue;

        @ApiModelProperty(value = "指标数值单位")
        String metricUnit;
    }

}
