package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "SchemeEvaluateSchemeDetailOverallVO", description = "方案详情-总体评价")
public class SchemeEvaluateSchemeDetailOverallVO {
    @ApiModelProperty(value = "服务水平")
    String serviceLevel;

    @ApiModelProperty(value = "策略评价")
    List<String> strategyEvaluateList;

    @ApiModelProperty(value = "指标数据")
    List<OverallMetrics> overallMetricsList;

    @NoArgsConstructor
    @Data
    public static class OverallMetrics {
        @ApiModelProperty(value = "指标编号")
        String metricCode;

        @ApiModelProperty(value = "指标名称")
        String metricName;

        @ApiModelProperty(value = "指标数值")
        Integer metricValue;

        @ApiModelProperty(value = "指标数值单位")
        String metricUnit;
    }
}
