package net.wanji.opt.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/06/19 15:52
 */
@Data
@NoArgsConstructor
@ApiModel(value = "TurnDataIndexExcelVO", description = "转向数据导出实体")
public class TurnDataIndexExcelVO {
    @ApiModelProperty(value = "时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ExcelProperty("时间")
    private Date time;

    @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    @ExcelProperty("方向")
    private String dir;

    @ApiModelProperty(value = "总流量")
    @ExcelProperty("总流量")
    private Integer flow;

    @ApiModelProperty(value = "平均速度")
    @ExcelProperty("平均速度")
    private BigDecimal speed;

    @ApiModelProperty(value = "左转流量")
    @ExcelProperty("左转流量")
    private Integer leftFlow;

    @ApiModelProperty(value = "左转平均速度")
    @ExcelProperty("左转平均速度")
    private BigDecimal leftSpeed;

    @ApiModelProperty(value = "直行流量")
    @ExcelProperty("直行流量")
    private Integer straightFlow;

    @ApiModelProperty(value = "直行平均速度")
    @ExcelProperty("直行平均速度")
    private BigDecimal straightSpeed;

    @ApiModelProperty(value = "右转流量")
    @ExcelProperty("右转流量")
    private Integer rightFlow;

    @ApiModelProperty(value = "右转速度")
    @ExcelProperty("右转平均速度")
    private BigDecimal rightSpeed;

}
